Package edu.wisc.game.websocket

## Enum WatchPlayer.Ready

- java.lang.Object
- - java.lang.Enum<WatchPlayer.Ready>
  - - edu.wisc.game.websocket.WatchPlayer.Ready

- All Implemented Interfaces:
    `Serializable`, `Comparable<WatchPlayer.Ready>`
  Enclosing class:
    WatchPlayer

      public static enum WatchPlayer.Ready
      extends Enum<WatchPlayer.Ready>

  Messages sent to a GUI client to tell it that something is ready for it, and it can make another /newEpisode or /display call

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DIS` |
    `EPI` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `toString()` |
    `static WatchPlayer.Ready` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static WatchPlayer.Ready[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EPI

          public static final WatchPlayer.Ready EPI

    - #### DIS

          public static final WatchPlayer.Ready DIS

  - ### Method Detail

    - #### values

          public static WatchPlayer.Ready[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WatchPlayer.Ready c : WatchPlayer.Ready.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WatchPlayer.Ready valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<WatchPlayer.Ready>`